
(setf *compile-verbose* nil)
(setf *compile-print* nil)

#+clisp
(eval-when (compile load eval)
  (when (>= (read-from-string (lisp-implementation-version) :end 4) 2.29)
    (pushnew :clisp-2.29 *features*)))

; Unlocks CLISP's package "SOCKET" for sockets and "CL" for file-position
#+clisp-2.29 (setf (ext:package-lock '("SOCKET" "COMMON-LISP")) nil)

(load "object")
(load "cache")
(load "compiler")
(load "syntax")
(load "prims")
(load "repl")
(repl)
